PHP K�sikirja
Edellinen |  | Seuraava

# ftp_nb_fget

(PHP 4 >= 4.3.0, PHP 5)

ftp_nb_fget -- Retrieves a file from the FTP server and writes it to an open file (non-blocking)

## Description

int ftp_nb_fget ( resource ftp_stream, resource handle, string remote_file, int mode [, int resumepos] )

ftp_nb_fget() retrieves a remote file from the FTP server.

The difference between this function and ftp_fget() is that this function retrieves the file asynchronously, so your program can perform other operations while the file is being downloaded.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

handle

  An open file pointer in which we store the data.

remote_file

  The remote file path.

mode

  The transfer mode. Must be either `FTP_ASCII` or `FTP_BINARY`.

resumepos

## Return values

Returns `FTP_FAILED` or `FTP_FINISHED` or `FTP_MOREDATA`.

## Examples

Esimerkki 1. ftp_nb_fget() example

`<?php
// open some file for reading
$file = 'index.php';
$fp = fopen($file, 'w');
$conn_id = ftp_connect($ftp_server);
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// Initate the download
$ret = ftp_nb_fget($conn_id, $fp, $file, FTP_BINARY);
while ($ret == FTP_MOREDATA) {
// Do whatever you want
echo ".";
// Continue downloading...
$ret = ftp_nb_continue($conn_id);
}
if ($ret != FTP_FINISHED) {
echo "There was an error downloading the file...";
exit(1);
}
// close filepointer
fclose($fp);
?>`

## See Also

ftp_nb_get()
ftp_nb_continue()
ftp_fget()
ftp_get()

Edellinen | Alkuun | Seuraava
ftp_nb_continue | Ylös | ftp_nb_fput